#
# spec file for package regularhunter-monotional-fonts
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           regularhunter-monotional-fonts
Version:        2.6
Release:        2.1
Summary:        A humanist, monospace font based on DejaVu
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://github.com/regularhunter/monotional-font
Source0:        Monotional_v%{version}.zip
Source1:        README.md
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
Recommends:     regularhunter-monotional-az-fonts
Recommends:     regularhunter-monotional-sz-fonts
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
A humanist, monospace font based on DejaVu Sans Mono and inspired by 
André Berg's Meslo.

%prep
%autosetup -n "Monotional_v%{version}" -p1
cp %{SOURCE1} .

%build

%install
mkdir -p "%{buildroot}/%{_ttfontsdir}"
install -Dpm 644 *.ttf "%{buildroot}/%{_ttfontsdir}/"

%reconfigure_fonts_scriptlets

%files
%doc LICENSE COPYRIGHT README.md
%dir %{_ttfontsdir}
%{_ttfontsdir}/*.ttf

%changelog
* Fri Jun 20 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Uncomment Recommends for slashed zero (SZ) and ambiguous zero (AZ)
  variants
- Update readme
* Mon Jun 16 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update license type in spec file
- Recommend slashed zero (SZ) and ambiguous zero (AZ) variants
* Mon Jun 16 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 2.6:
  * Correct thickness of regular and bold-italic figuredash
* Fri Jun 13 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 2.5:
  * Rework all versions of 1 glyph
* Thu Jun 12 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 2.4:
  * Center italic and bold-italic glyph for |
* Thu Jun 12 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 2.3:
  * Add unique italic and bold-italic glyph for |
* Thu Jun 12 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 2.2:
  * Add unique italic and bold-italic glyph for ' and "
* Wed Jun 11 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 2.1:
  * Fix incorrect positioning of regular ^ glyph
* Wed Jun 11 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 2.0:
  * Revise all dash glyphs for consistency
  * Add unique italic and bold-italic + glyphs
  * Add unique italic and bold-italic = glyphs
  * Increase height of bold and bold-italic glyphs for ' and "
  * Slight adjustment to bold and bold-italic ^ glyph
  * Slight adjustment to italic and bold-italic 4 glyph
* Sat Jun  7 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.9:
  * Rework bold, italic, and bold-italic 1 glyph to match regular
    version
  * Rework bold-italic # glyph to match bold version
  * Slight adjustment to italic ' and * glyph
  * Slight adjustment to bold and bold-italic - glyph
  * Slight adjustment to italic and bold-italic 4 glyph
* Fri Jun  6 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.8:
  * Increase regular and italic ~ glyph weight
* Fri Jun  6 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update readme
* Fri Jun  6 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.7:
  * Change license to SIL OFL 1.1
  * Remove font instructions inherited from DejaVu Sans Mono causing
    rendering issues in Windows (issue #1)
  * Small adjustment to italic @ glyph
  * Rework italic and bold-italic # glyph to match non-italic version
  * Change ~ glyph style to emulate Fira Code
* Wed Jun  4 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.6:
  * Remove fi and fl ligature
  * Fix swapped italic characters U+04CB/U+04CC <-> U+04F6/U+04F7
* Wed Jun  4 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.5:
  * Small adjustment to 4 glyph
* Wed Jun  4 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.4:
  * Small adjustment to @ glyph
* Wed Jun  4 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.3:
  * Small adjustment to %% glyph
* Wed May 28 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.2:
  * Re-implement Monotional on top of DejaVu Sans Mono from scratch
    to fix display bug in MS Word. Glyphs ~ and @ not re-implemented
  * Revert ` glyph width from 1.1 so that legibility is preserved for
    accented characters
* Sat May 24 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Move license and copyright notice into archive
* Sat May 24 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update spec file
* Sat May 24 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update readme and add copyright notice
* Sat May 24 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update to 1.1:
  * Widen ` glyph for all fonts
* Sat May 24 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Update README.md
* Fri May 23 2025 Hunter Wardlaw <wardlawhunter@gmail.com>
- Initial 1.0 release:
  * Based on DejaVu Sans Mono 2.37.
  * The main differences are with the following characters:
    1 i - _ = ' " ^ # * %% @ ~
